GTCEuStartupEvents.registry('gtceu:recipe_type', event => {
    event.create('extractinator')
        .category('reconstruction')
        .setEUIO('in')
        .setMaxIOSize(2, 8, 0, 0)
        .setSlotOverlay(false, false, GuiTextures.COMPRESSOR_OVERLAY)
        .setProgressBar(GuiTextures.PROGRESS_BAR_ARROW, FillDirection.LEFT_TO_RIGHT)
        .setSound(GTSoundEntries.ELECTROLYZER)
})

// GT Atomic Reconstructor machine
GTCEuStartupEvents.registry('gtceu:machine', event => {
    event.create('electric_extractinator', 'simple', GTValues.MV, GTValues.HV, GTValues.EV, GTValues.IV, GTValues.MAX)
        .langValue("Electric Extractinator")
        .recipeType('extractinator', true, true)
        .workableTieredHullRenderer('gtceu:block/machines/extractinator')
})